      function DoEditRecord(CurrRecIndex, CurrTaskName){
        document.AutoTaskConfigPage.CurrEditTaskNo.value=CurrRecIndex;
        __doPostBack('EditSettingsBtn', 'CLICK');        
      }

      function DoLaunchTask(AURL){
        var FeatureStr = "scrollbars=no, resizable=no, toolbar=no, menubar=no, statusbar=yes, ";
        FeatureStr = FeatureStr + "width=1100, height=950, top=50, left=100";
        window.open(AURL, "LaunchTask", FeatureStr);
      }

      function DoChangeStatus(CurrRecIndex, CurrTaskName, AStatus){
        document.AutoTaskConfigPage.CurrEditTaskNo.value=CurrRecIndex;
        document.AutoTaskConfigPage.CurrEditTaskStatus.value=AStatus;
        __doPostBack('ChangeStatusBtn', 'CLICK');
      }

      function DoAutoTask(ATaskerTime, CurrTaskName){
        if (ATaskerTime!=''){
          if (confirm("This task is scheduled to run automatically again today at " +
              document.AutoTaskConfigPage.AutoTaskerTimeStr.value +
              ". Run it again as scheduled?")==0)
            AURL="&DontRunAgainToday=True";
          else
            AURL="&DontRunAgainToday=False";
        }
        else
          AURL="&DontRunAgainToday=False";
        AURL="RunAutoTaskNow?CurrTaskName=" + CurrTaskName + AURL;
        var FeatureStr = "scrollbars=no, resizable=no, toolbar=no, menubar=no, statusbar=yes, ";
        FeatureStr = FeatureStr + "width=400, height=350, top=350, left=400";
        window.open(AURL, "LaunchTask", FeatureStr);
      }

      function DoResetAllTasksNow(){
        if (confirm("Resetting Full Tasker status will cause the Tasker to execute scheduled tasks right NOW, even if already done. Continue?")==0)
          return;
      }

      function DoResetRecord(CurrRecIndex, CurrTaskName){
        if (confirm("Resetting the Task status will cause the " + CurrTaskName + " task to execute again today, if enabled, even if already done. Continue?")==1){
          document.AutoTaskConfigPage.CurrEditTaskNo.value=CurrRecIndex;
          __doPostBack('ResetATaskBtn', 'CLICK');}
      }

      function DoRunAllTasksNow(){
        if (confirm("This will execute all Tasks now, regardless of the day of the week even if it is disabled. Press Ok to Continue?")==1){
                if (confirm("The automatic tasker is scheduled to run everyday at " +
                    document.AutoTaskConfigPage.AutoTaskerTimeStr.value +
                    ". After running the tasks now, run tasks again today as scheduled?")==0)
                  AURL="&DontRunAgainToday=True";
                else
                  AURL="&DontRunAgainToday=False";
                AURL="RunAutoTaskNow?RunAllTasks=True" + AURL;
                var FeatureStr = "scrollbars=no, resizable=no, toolbar=no, menubar=no, statusbar=yes, ";
                FeatureStr = FeatureStr + "width=400, height=350, top=350, left=400";
                window.open(AURL, "LaunchTask", FeatureStr);
        }
      }

      function DoViewTaskerLog(LogFileName){
        var AURL="GetSvcFile?LogFileName=" + LogFileName;
        var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
        FeatureStr = FeatureStr + "width=750, height=600, top=200, left=150";
        //window.location=AURL;
        window.open(AURL, "LogFile", FeatureStr);
      }

      function DoMoveTaskerLog(LogFileName){
        if (confirm("This will clear the previous log and move current log as previous log. Continue?")==0) 
          return;
        var AURL="MoveTaskerLogJobSub?LogFileName=" + LogFileName;
        var FeatureStr = "scrollbars=no, resizable=no, toolbar=no, menubar=no, statusbar=yes, ";
        FeatureStr = FeatureStr + "width=300, height=300, top=350, left=400";
        window.open(AURL, "LaunchTask", FeatureStr);
      }

      function DoActivateDownload(DLScriptName){
        var AURL="CTActivateDLSvc?DLScriptName=" + DLScriptName;
        var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
        FeatureStr = FeatureStr + "width=1050, height=600, top=200, left=50";
        window.open(AURL, "DLActivate", FeatureStr);
      }

      function RefreshPage(){
        //alert("ff");
        document.AutoTaskConfigPage.CurrEditTaskNo.value=document.AutoTaskConfigPage.CurrTaskNumber.value;
        __doPostBack('EditSettingsBtn', 'CLICK');        
      }